| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/vector3.h File Reference

3D vector. More...

`#include "csextern.h"`
`#include "math3d_d.h"`

Go to the source code of this file.

## Classes
class | csVector3
| A 3D vector. More...
## Enumerations
enum | { CS_AXIS_NONE = -1, CS_AXIS_X = 0, CS_AXIS_Y = 1, CS_AXIS_Z = 2, CS_AXIS_W = 3 }
| Constants for axes. More...

## Detailed Description

3D vector.

Definition in file vector3.h.